<!--
  @description: 招标项目-项目管理-预览，领导查看招标项目--项目管理-预览，采购人查看招标项目--项目管理-预览
  @Modifier: haoFx
  @routerPath: /bidding/bidProjectPreview
                /bidding/leaderBiddingProjectDetail
                /bidding/buyerTenderProjectDetail
                /work/bidProject/bidProjectPreview
  @date: 2019/12/30-15:03
-->

<template>
  <div>
    <section v-if="!flowStatus" class="title p0-16 clearfix">
      <template>
        <div class="title-back pointer" @click="back">
          <i class="iconfont icon-fanhui mr10" />{{ backTitle }}
        </div>
      </template>
    </section>
    <!-- 预览页面-->
    <bidProjectPreviewComp class="p0-16" />
  </div>
</template>

<script>
import bidProjectPreviewComp from './bidProjectPreviewComp'
export default {
  name: 'PreviewProjectDetail',
  components: {
    bidProjectPreviewComp
  },
  data() {
    return {
      flowStatus: this.$route.query.flowStatus, // true 工作流进入
      backTitle: '', // 标题
      backType: this.$route.meta.backType
    }
  },
  created() {
    this.initBackTitle()// 初始化标题
  },
  methods: {
    // 初始化标题 00 招标项目列表 01 领导-招标项目列表 89招标谈判方式 67招标-询价方式 04单一来源 23磋商 10领导-监标人列表
    initBackTitle() {
      if (this.backType === '00') {
        this.backTitle = '招标项目信息列表'
      }
      if (this.backType === '01') {
        this.backTitle = '领导-招标项目信息列表'
      }
      if (this.backType === '02') {
        this.backTitle = '采购人-招标项目信息列表'
      }
      if (this.backType === '67') {
        this.backTitle = '询比项目信息列表'
      }
      if (this.backType === '89') {
        this.backTitle = '谈判项目信息列表'
      }
      if (this.backType === '04') {
        this.backTitle = '单一来源项目信息列表'
      }
      if (this.backType === '23') {
        this.backTitle = '竞争性磋商信息列表'
      }
      if (this.backType === '10') {
        this.backTitle = '领导-监标人信息列表'
      }
    },
    // 返回
    back() {
      if (this.backType === '02') {
        this.$router.push({
          path: '/operation/buyerTenderProject'
        })
      } else {
        this.$router.push({
          path: '/bidding/' + this.$route.meta.path
        })
      }
    }
  }
}
</script>

<style lang="less" scoped>

</style>
